package digital.laboratory.platform.entrustment.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import digital.laboratory.platform.sys.entity.DrugLite;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.List;

/**
 * 委托检材--检出定性定量结果信息
 * @TableName b_entrust_material_checkout_result
 */
@Data
@ApiModel(value = "EntrustMaterialCheckoutResultDTO", description = "委托检材--检出定性定量结果信息DTO")
public class EntrustMaterialCheckoutResultDTO {
    /**
     * 委托检材id
     */
    @ApiModelProperty("委托检材id列表， 支持批量")
    private List<String> ids;

    /**
     * 委托检材id
     */
    @ApiModelProperty("委托id")
    private String entrustId;

    /**
     * 定性结果
     */
    @ApiModelProperty("定性结果")
    private List<DrugLite> qualitativeResult;

    /**
     * 定量结果
     */
    @ApiModelProperty("定量结果")
    private List<String> quantitativeResult;

    /**
     * 其他鉴定结果
     */
    @ApiModelProperty("其他鉴定结果")
    private String otherResult;

    /**
     * 检出结果的备注信息
     */
    @ApiModelProperty("检出结果的备注信息")
    private String checkoutRemark;

}
